
<div>
    <div id="id_third_info_model" class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title" id="myLargeModalLabel">第三方信息</h4>
                </div>
                <div class="modal-body" id="id_third_info_model_body">
                    您的内容...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
                    <!--<button type="button" class="btn btn-primary">点击保存</button>-->
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function showOrderRecord() {
        let clm=getTableSelectOne();
        runAjax("${ctx}/order/get/third/record","GET",{orderId:clm.orderId},function (res) {
            let txt="";
            res.body.forEach(function (item, index){
                txt+="<span style='color: #007aff'>"+item.changeTime+"</span>："+item.changeStatus+"<br>";
            });
            $("#id_third_info_model_body").html(txt);
            $("#id_third_info_model").modal("show");
        });
    }
    /**
     * 获取第三方配送信息
     */
    function showThirdDetail() {
        let clm=getTableSelectOne();
        runAjax("${ctx}/order/get/third/info","GET",{orderId:clm.orderId},function (res) {
           let detail=res.body;
           let txt="三方订单号："+detail.thirdNum+"("+detail.statusDesc+")，<br>"+detail.courierName+"："+detail.courierPhone+"。<br>"+detail.estimateTime;
           $("#id_third_info_model_body").html(txt);
            $("#id_third_info_model").modal("show");
        });
    }

    /**
     * 获取是第三方推送结果
     */
    function showThirdResult() {
        let clm=getTableSelectOne();
        runAjax("${ctx}/order/get/third/result","GET",{orderNum:clm.orderNum},function (res) {
            let detail=res.body;
            $("#id_third_info_model_body").html(detail);
            $("#id_third_info_model").modal("show");
        });
    }
</script>